package org.jeecg.modules.cheerRecharge.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 充值套餐
 * @Author: jeecg-boot
 * @Date:   2024-10-06
 * @Version: V1.0
 */
@Data
@TableName("cheer_recharge")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="cheer_recharge对象", description="充值套餐")
public class CheerRecharge implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**加油站*/
	@Excel(name = "加油站", width = 15, dictTable = "cheer_shop", dicText = "name", dicCode = "id")
	@Dict(dictTable = "cheer_shop", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "加油站")
    private java.lang.String shopId;
	/**金融*/
	@Excel(name = "金融", width = 15)
    @ApiModelProperty(value = "金融")
    private java.math.BigDecimal price;
}
