package org.jeecg.modules.cheerWater.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 加油流水表
 * @Author: jeecg-boot
 * @Date:   2024-10-06
 * @Version: V1.0
 */
@Data
@TableName("cheer_water")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="cheer_water对象", description="加油流水表")
public class CheerWater implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**加油站*/
	@Excel(name = "加油站", width = 15, dictTable = "cheer_shop", dicText = "name", dicCode = "id")
	@Dict(dictTable = "cheer_shop", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "加油站")
    private java.lang.String shopId;
	/**原价*/
	@Excel(name = "原价", width = 15)
    @ApiModelProperty(value = "原价")
    private java.math.BigDecimal oldPrice;
	/**支付价*/
	@Excel(name = "支付价", width = 15)
    @ApiModelProperty(value = "支付价")
    private java.math.BigDecimal price;
	/**订单名称*/
	@Excel(name = "订单名称", width = 15)
    @ApiModelProperty(value = "订单名称")
    private java.lang.String name;
	/**用户标识*/
	@Excel(name = "用户标识", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "用户标识")
    private java.lang.String userId;
	/**支付状态*/
	@Excel(name = "支付状态", width = 15, dicCode = "water_state")
	@Dict(dicCode = "water_state")
    @ApiModelProperty(value = "支付状态")
    private java.lang.String state;
	/**头像*/
	@Excel(name = "头像", width = 15)
    @ApiModelProperty(value = "头像")
    private java.lang.String userHead;
}
